put
https://{youraccountname}.api-us1.com/api/3/notes/
Update an existing note on a contact, deal, task, activity, or account. The note is addressed by its own id in the path. note, the text, and is_draft can be changed. reltype and relid in the body do not move the note to another record. Only the API user who created the note can update it.
{
"note": {
"note": "This is the text of the note",
"relid": 2,
"reltype": "Subscriber"
}
}{
"note": {
"relid": "107",
"reltype": "Subscriber",
"userid": "1",
"cdate": "2018-09-21T11:52:41-05:00",
"mdate": "2018-09-28T18:39:44-05:00",
"note": "This is the text of the note",
"links": {
"activities": "https://:account.api-us1.com/api/:version/notes/1/activities",
"user": "https://:account.api-us1.com/api/:version/notes/1/user",
"mentions": "https://:account.api-us1.com/api/:version/notes/1/mentions",
"notes": "https://:account.api-us1.com/api/:version/notes/1/notes",
"owner": "https://:account.api-us1.com/api/:version/notes/1/owner"
},
"id": "1",
"user": "1",
"owner": {
"type": "contact",
"id": "107"
}
}
} 422note is empty.
